import { PropertyExt, SVGWidget } from "@hpcc-js/common";
import "./Sankey.css";
export declare class SankeyColumn extends PropertyExt {
    _owner: Sankey;
    constructor();
    owner(): Sankey;
    owner(_: Sankey): this;
    valid(): boolean;
    aggregate(values: any): any;
}
export interface SankeyColumn {
    column(): string;
    column(_: string): this;
    aggrType(): string;
    aggrType(_: string): this;
    aggrColumn(): string;
    aggrColumn(_: string): this;
}
export declare class Sankey extends SVGWidget {
    Column: any;
    _d3Sankey: any;
    _d3SankeyPath: any;
    _selection: any;
    constructor();
    sankeyData(): {
        vertices: any[];
        edges: any[];
    };
    enter(domNode: any, element: any): void;
    update(domNode: any, element: any): void;
    exit(domNode: any, element: any): void;
    click(row: any, column: any, selected: any): void;
    dblclick(row: any, column: any, selected: any): void;
}
export interface Sankey {
    _palette: any;
    paletteID(): string;
    paletteID(_: string): this;
    mappings(): SankeyColumn[];
    mappings(_: SankeyColumn[]): this;
    vertexStrokeWidth(): number;
    vertexStrokeWidth(_: number): this;
    vertexStrokeColor(): string;
    vertexStrokeColor(_: string): this;
    vertexWidth(): number;
    vertexWidth(_: number): this;
    vertexPadding(): number;
    vertexPadding(_: number): this;
    xAxisMovement(): boolean;
    xAxisMovement(_: boolean): this;
    yAxisMovement(): boolean;
    yAxisMovement(_: boolean): this;
}
